## magics++ 4.13.0~pre1

=== debian/changelog ===
magics++ (4.13.0~pre1-2) unstable; urgency=medium

  * Relax dep on odc for hppa. Thanks to John David Anglin.
    Closes: #1021453

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Oct 2022 06:03:34 +0100

magics++ (4.13.0~pre1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Sep 2022 12:38:02 +0100

magics++ (4.12.1-2) unstable; urgency=medium

  * Build against Qt6 instead of Qt5

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Sep 2022 08:38:07 +0100
