=== debian/changelog ===
magics++ (4.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Nov 2022 15:01:57 +0000
