=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  libemos-dev (>=  2:4.3.9), libgeotiff-dev,
  libeccodes-dev (>= 2.13.0-3),
  libeccodes-tools,
- libodc-dev [!powerpc !armel !armhf !i386 !mipsel],
- odc [!powerpc !armel !armhf !i386 !mipsel],
+ libodc-dev [!powerpc !armel !armhf !hppa !i386 !mipsel],
+ odc [!powerpc !armel !armhf !hppa !i386 !mipsel],
  libemos-bin, 
  libopenjp2-7-dev,
  libaec-dev,
@@ -26,9 +26,9 @@
  zlib1g-dev, 
  libboost-dev | libboost1.74-dev, 
  libproj-dev, 
- qtbase5-dev-tools, 
- qtbase5-dev, 
- qt5-qmake,
+ qt6-base-dev,
+ libqt6core5compat6-dev,
+ libqt6svg6-dev,
  python3-jinja2
 Standards-Version: 4.6.1
 Homepage: https://software.ecmwf.int/wiki/display/MAGP/Magics
@@ -65,7 +65,7 @@
 Depends: libmagplus3v5 ( = ${binary:Version} ), 
  ${misc:Depends}, ${ecbuild:Depends},
  python3, libmagics++-metview-dev, libterralib-dev, magics++,
- libodc-dev [!powerpc !armel !armhf !i386 !mipsel]
+ libodc-dev [!powerpc !armel !armhf !hppa !i386 !mipsel]
 Recommends: pkg-config
 Description: Development files for ECMWF  plotting software MAGICS++
  Magics++ is the latest generation of the ECMWF's Meteorological plotting
