=== debian/changelog ===
magics++ (4.14.1-1) unstable; urgency=medium

  * New upstream release
  * Change obsolete build-deps: libgl1-mesa-dev -> libgl-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Jul 2023 07:38:24 +0100

magics++ (4.13.0-2) unstable; urgency=medium

  * Drop libnetcdf-c++-legacy-dev . Closes: #1038449
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Jun 2023 11:48:18 +0100
