=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  gfortran | fortran-compiler, 
  python3-all-dev,
  libhdf5-dev | libhdf5-mpi-dev, 
- libnetcdf-dev, libnetcdf-cxx-legacy-dev,
- libgl1-mesa-dev, libgd-dev, 
+ libnetcdf-dev, libnetcdf-c++4-dev,
+ libgl-dev, libgd-dev, 
  libemos-dev (>=  2:4.3.9), libgeotiff-dev,
  libeccodes-dev (>= 2.13.0-3),
  libeccodes-tools,
@@ -30,7 +30,7 @@
  libqt6core5compat6-dev,
  libqt6svg6-dev,
  python3-jinja2
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://software.ecmwf.int/wiki/display/MAGP/Magics
 Vcs-Browser: https://salsa.debian.org/science-team/magics.git
 Vcs-Git: https://salsa.debian.org/science-team/magics.git -b debian/latest
