## magics++ 4.14.2

=== debian/changelog ===
magics++ (4.14.2-2) unstable; urgency=medium

  * Drop libproj-dev & libnetcdf-c++4-dev build-deps. Unused
    Closes: #1050776
  * Add XKB build-dep 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Aug 2023 09:49:11 +0100

magics++ (4.14.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Aug 2023 11:35:39 +0100
