=== debian/control ===
--- 
+++ 
@@ -6,10 +6,12 @@
  ecbuild (>= 3.3.0-3),
  gfortran | fortran-compiler, 
  python3-all-dev,
+ libxcb-xkb-dev,
  libhdf5-dev | libhdf5-mpi-dev, 
- libnetcdf-dev, libnetcdf-c++4-dev,
+ libnetcdf-dev,
+ libgeotiff-dev,
  libgl-dev, libgd-dev, 
- libemos-dev (>=  2:4.3.9), libgeotiff-dev,
+ libemos-dev (>=  2:4.3.9),
  libeccodes-dev (>= 2.13.0-3),
  libeccodes-tools,
  libodc-dev [!powerpc !armel !armhf !hppa !i386 !mipsel],
@@ -25,7 +27,6 @@
  ghostscript, 
  zlib1g-dev, 
  libboost-dev | libboost1.74-dev, 
- libproj-dev, 
  qt6-base-dev,
  libqt6core5compat6-dev,
  libqt6svg6-dev,
