=== debian/changelog ===
magics++ (4.15.0-1) unstable; urgency=medium

  * New upstream release
  * Explicitly B-D on architecture-is-64-bit

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Dec 2023 07:06:29 +0000
