=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat  (= 13) , 
+ architecture-is-64-bit,
  ecbuild (>= 3.3.0-3),
  gfortran | fortran-compiler, 
  python3-all-dev,
@@ -14,8 +15,8 @@
  libemos-dev (>=  2:4.3.9),
  libeccodes-dev (>= 2.13.0-3),
  libeccodes-tools,
- libodc-dev [!powerpc !armel !armhf !hppa !i386 !mipsel],
- odc [!powerpc !armel !armhf !hppa !i386 !mipsel],
+ libodc-dev,
+ odc,
  libemos-bin, 
  libopenjp2-7-dev,
  libaec-dev,
