=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,7 @@
 	-DENABLE_TESTS=ON \
 	-DENABLE_GEOTIFF=ON \
 	-DGEOTIFF_INCLUDE_DIR=/usr/include/geotiff \
+	-DXKB_INCLUDE_DIR=/usr/include/xkb \
 	-DENABLE_RPATHS=OFF \
 	-DENABLE_CAIRO=ON \
 	-DENABLE_BUFR=ON \
@@ -75,7 +76,7 @@
 	-DENABLE_METVIEW=ON \
 	-DENABLE_NETCDF=ON \
 	-DCMAKE_C_FLAGS='$(CFLAGS) ' \
-	-DCMAKE_CXX_FLAGS='$(CXXFLAGS) -I/usr/include/terralib -I/usr/include/terralib/kernel -I/usr/include/geotiff' \
+	-DCMAKE_CXX_FLAGS='$(CXXFLAGS) -I/usr/include/terralib -I/usr/include/terralib/kernel -I/usr/include/geotiff -I/usr/include/xkb' \
 	-DMAGICS_EXTRA_LIBRARIES='-lterralib -lgd -lemosR64' 
 
 export LD_LIBRARY_PATH:=$(CURDIR)/debian/tmp/usr/lib:$(LD_LIBRARY_PATH)
