=== debian/changelog ===
magics++ (4.15.2-1) unstable; urgency=medium

  * New upstream release
  * Use/recommend pkgconf rather than obsolete pkg-config

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Feb 2024 07:06:50 +0000

magics++ (4.15.0-2) unstable; urgency=medium

  * Remove old 32-bit code from d/rules
  * Update reference to boost1.74->boost1.83
  * Build-depend on dh-fortran-mod for fortran-support.mk

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 07:59:50 +0000
