=== debian/changelog ===
magics++ (4.15.3-1build2) noble; urgency=medium

  * No-change rebuild against libqt6core6t64.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Apr 2024 15:10:38 +0100

magics++ (4.15.3-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:32:51 +0000

magics++ (4.15.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Mar 2024 09:54:31 +0000
