=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: magics++
 Section: science
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat  (= 13) , 
  architecture-is-64-bit,
+ dh-fortran-mod (>= 0.31),
  ecbuild (>= 3.3.0-3),
- gfortran | fortran-compiler, 
+ pkgconf,
  python3-all-dev,
  libxcb-xkb-dev,
  libhdf5-dev | libhdf5-mpi-dev, 
@@ -27,7 +29,7 @@
  libxml-parser-perl, 
  ghostscript, 
  zlib1g-dev, 
- libboost-dev | libboost1.74-dev, 
+ libboost-dev | libboost1.83-dev, 
  qt6-base-dev,
  libqt6core5compat6-dev,
  libqt6svg6-dev,
@@ -68,7 +70,7 @@
  ${misc:Depends}, ${ecbuild:Depends},
  python3, libmagics++-metview-dev, libterralib-dev, magics++,
  libodc-dev [!powerpc !armel !armhf !hppa !i386 !mipsel]
-Recommends: pkg-config
+Recommends: pkgconf
 Description: Development files for ECMWF  plotting software MAGICS++
  Magics++ is the latest generation of the ECMWF's Meteorological plotting
  software MAGICS. Although completely redesigned in C++, it is intended to be
