## magics++ 4.15.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild/cmake")
 find_package( ecbuild 3.4 REQUIRED )
 
-project( magics VERSION 4.15.3 LANGUAGES CXX )
+project( magics VERSION 4.15.4 LANGUAGES CXX )
 
 # make sure that the header files are installed into include/magics
 # note that this needs to be done before ecbuild_declare_project()
@@ -55,6 +55,12 @@
                     DESCRIPTION "geotiff support [implies cairo] -  work on progress"
                     CONDITION HAVE_CAIRO
                     REQUIRED_PACKAGES GeoTIFF )
+
+ecbuild_add_option( FEATURE WEBP
+                    DEFAULT OFF
+                    DESCRIPTION "webp support [implies cairo]"
+                    CONDITION HAVE_CAIRO
+                    REQUIRED_PACKAGES WEBP )
 
 ecbuild_add_option( FEATURE NETCDF
                     DEFAULT ON
@@ -215,7 +221,16 @@
 
 else()
 
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-unused-parameter -Wno-overloaded-virtual -Wno-unused-variable -Wno-reorder -Wno-sign-compare")
+  # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-unused-parameter -Wno-overloaded-virtual -Wno-unused-variable -Wno-reorder -Wno-sign-compare")
+  ecbuild_add_cxx_flags("-Wno-unused-parameter" NO_FAIL)
+  ecbuild_add_cxx_flags("-Wno-overloaded-virtual" NO_FAIL)
+  ecbuild_add_cxx_flags("-Wno-unused-variable" NO_FAIL)
+  ecbuild_add_cxx_flags("-Wno-reorder" NO_FAIL)
+  ecbuild_add_cxx_flags("-Wno-sign-compare" NO_FAIL)
+  # For NVIDIA
+  ecbuild_add_cxx_flags("--diag_suppress=partial_override" NO_FAIL)
+  ecbuild_add_cxx_flags("--diag_suppress=virtual_function_decl_hidden" NO_FAIL)
+  ecbuild_add_cxx_flags("--diag_suppress=code_is_unreachable" NO_FAIL)
 
   # set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-unused-parameter -Wno-overloaded-virtual -Wno-unused-variable -Wno-reorder-ctor -Wno-sign-compare")
 
@@ -274,6 +289,12 @@
 	list( APPEND MAGICS_EXTRA_DEFINITIONS	HAVE_GEOTIFF )
 endif()
 
+if( HAVE_WEBP )
+	list( APPEND MAGICS_EXTRA_INCLUDE_DIRS	${WEBP_INCLUDE_DIR} )
+	list( APPEND MAGICS_EXTRA_LIBRARIES ${WEBP_LIBRARY} )
+	list( APPEND MAGICS_EXTRA_DEFINITIONS	HAVE_WEBP )
+endif()
+
 list( APPEND MAGICS_EXTRA_LIBRARIES     ${CMAKE_THREAD_LIBS_INIT} )
 
 if( EC_OS_NAME MATCHES "windows" )
