=== debian/changelog ===
magics++ (4.15.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Apr 2024 09:30:54 +0100
