=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: magics++
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat  (= 13) , 
  architecture-is-64-bit,
  dh-fortran-mod (>= 0.31),
