## magics++ 4.15.5

=== debian/changelog ===
magics++ (4.15.5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Nov 2024 10:21:43 +0000

magics++ (4.15.4-2) unstable; urgency=medium

  * Set Debian Science Maint. as maintainer
  * Standards-Version: 4.7.0; no changes required
  * g++14.patch to fix FTBFS on new compiler. Closes: #1075250

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Jul 2024 12:28:42 +0100
