## magics++ 4.16.0

=== debian/changelog ===
magics++ (4.16.0-1) unstable; urgency=medium

  * New upstream release
  * g++-14.patch: Update for incompatible-ptr check
  * Remove old FSF address;update d/copyright
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Apr 2025 15:31:29 +0100
